Bug 815813 (CVE-2012-2141) - CVE-2012-2141 net-snmp: Array index error, leading to out-of heap-based buffer read (snmpd crash)
Summary: CVE-2012-2141 net-snmp: Array index error, leading to out-of heap-based buffe...
Status: CLOSED ERRATA
Alias: CVE-2012-2141
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120424,repor...
Keywords: Security
Depends On: 816549 820099 820100
Blocks: 784298 816605 816611
TreeView+ depends on / blocked
 
Reported: 2012-04-24 14:56 UTC by Sergio Freire
Modified: 2018-11-29 19:33 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-01-08 09:14:56 UTC


Attachments (Terms of Use)
simple fix (917 bytes, patch)
2012-04-26 11:34 UTC, Jan Safranek
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0876 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2012-06-19 19:28:47 UTC
Red Hat Product Errata RHSA-2013:0124 normal SHIPPED_LIVE Moderate: net-snmp security and bug fix update 2013-01-08 09:22:53 UTC

Comment 4 Jan Lieskovsky 2012-04-26 10:46:58 UTC
An array index error, leading to out-of heap-based buffer read flaw was found in the way net-snmp agent performed entries lookup in the extension table. When certain MIB subtree was handled by the extend directive, a remote attacker having read privilege to the subtree could use this flaw to cause a denial of service (snmpd crash) via SNMP GET request involving a non-existent extension table entry.

Comment 5 Jan Lieskovsky 2012-04-26 11:18:57 UTC
This issue affects the versions of the net-snmp package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the net-snmp package, as shipped with Fedora release of 15 and 16. Please schedule an update.

Comment 6 Jan Lieskovsky 2012-04-26 11:24:48 UTC
CVE request:
[1] http://www.openwall.com/lists/oss-security/2012/04/26/2

Comment 7 Jan Lieskovsky 2012-04-26 11:25:43 UTC
Created net-snmp tracking bugs for this issue

Affects: fedora-all [bug 816549]

Comment 8 Jan Safranek 2012-04-26 11:34:47 UTC
Created attachment 580443 [details]
simple fix

Comment 12 Kurt Seifried 2012-04-26 15:40:08 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/04/26/2

Comment 15 Robert Story 2012-05-15 03:34:40 UTC
Hi-ho, upstream here. This is in our tracker as https://sourceforge.net/tracker/index.php?func=detail&aid=3526549&group_id=12694&atid=112694, and we've applied the suggested fix in all supported lines (5.4-trunk).

Comment 16 errata-xmlrpc 2012-06-20 07:21:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0876 https://rhn.redhat.com/errata/RHSA-2012-0876.html

Comment 20 errata-xmlrpc 2013-01-08 05:03:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0124 https://rhn.redhat.com/errata/RHSA-2013-0124.html

Comment 22 Huzaifa S. Sidhpurwala 2013-01-08 09:14:56 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.